%define name	 wavesurfer
%define version	 1.6.2
%define release  1mdk

Summary:	Script-driven sound processing toolkit.
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	MIT
Group: 		Sound
URL: 		http://www.speech.kth.se/wavesurfer/
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	libsnack tcl tk
BuildArch:	noarch

%description
WaveSurfer is an Open Source tool for sound visualization and manipulation.
It has been designed to suit both novice and advanced users. WaveSurfer has
a simple and logical user interface that provides functionality in an
intuitive way and which can be adapted to different tasks. It can be used
as a stand-alone tool for a wide range of tasks in speech research and
education. Typical applications are speech/sound analysis and sound
annotation/transcription. WaveSurfer can also serve as a platform for more
advanced/specialized applications. This is accomplished either through
extending the WaveSurfer application with new custom plug-ins or by
embedding WaveSurfer visualization components in other applications.

%prep
%setup -q

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_libdir
cp -r wsurf* $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name.tcl $RPM_BUILD_ROOT/%_bindir/%name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="wavesurfer"\
needs="x11"\
section="Multimedia/Sound"\
title="WaveSurfer"\
icon="wavesurfer.png"\
longtitle="Graphical sound editor"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc doc/* LICENSE.txt README.txt 
%_bindir/%name
%_libdir/wsurf*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 1.6.2-1mdk
- 1.6.2

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 1.5.3-1mdk
- 1.5.3

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 1.5.2-1mdk
- 1.5.2

* Sun Jun 8 2003 Austin Acton <aacton@yorku.ca> 1.5.1-1mdk
- 1.5.1
- fix icon names
- noarch

* Sat Jan 11 2003 Austin Acton <aacton@yorku.ca> 1.4.6-1mdk
- initial package
